% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/read_data.R
\name{.decompress_chunk}
\alias{.decompress_chunk}
\title{Decompress a chunk in memory}
\usage{
.decompress_chunk(compressed_chunk, metadata)
}
\arguments{
\item{compressed_chunk}{Raw vector holding the compressed bytes for this
chunk.}

\item{metadata}{List produced by \code{read_array_metadata()} with the contents of
the \code{.zarray} file.}
}
\value{
An array with the number of dimensions specified in the Zarr
metadata.  In most cases it will have the same size as the Zarr chunk,
however in the case of edge chunks, which overlap the extent of the array,
the returned chunk will be smaller.
}
\description{
R has internal decompression tools for zlib, bz2 and lzma compression.  We
use external libraries bundled with the package for blosc and lz4
decompression.
}
\keyword{Internal}
